#ifndef _ITEM_STUFF_CLASS_
#define _ITEM_STUFF_CLASS_

// mod dt 9/21/04 for the class IRT04s; this version reduced but not renamed
//		3PL still supported here, but not completely in IRT04s
// Modified to use valarrays instead of LstArray, 8-2010, graded only now

#include <valarray>
#include <vector>
using namespace std;

class ItemStuff {

// A mimimal, reduced item class. ...
//  (this version only does graded)
// ncat = integer number of categories
// a and bj if it's graded
// a vector of valarrays called T
// that can be filled with the trace-line ordinates

// must resize vectors/valarrays before use

public:
	static int size;
 	void ChangeSize(int);
	int ncat;
	double a;
	valarray<double> bj;
	vector < valarray<double> > T;  // trace lines

// default constructor
ItemStuff(); // in ItemStuff.cp

// destructor for DblList
~ItemStuff(); // in ItemStuff.c

// sets the default constructor size, used when making arrays of these
static void setncat(int n); // in ItemStuff.c

private:

};
#endif /* _ITEM_STUFF_CLASS_ */

